%undefine __libtoolize
%define qtdir /usr/lib/qt3
%define unstable 0
%define objprelink 0
%define beta _rc3

Name: oooqs
Version: 1.0
Release: alt3.rc3

Group: Graphical desktop/KDE
Summary: Open Office Quickstarter
License: GPL
URL: http://segfaultskde.berlios.de/index.php?content=oooqs

Requires: openoffice-common kdelibs-gcc_compiled = %__gcc_version_base

Source0: %name-%version%beta.tar.bz2
Source10: %name.desktop
Source11: oooqsrc
Source12: %name-ru-20020104.po

Patch0: oooqs-1.0_rc3-noinfo.patch

# Automatically added by buildreq on Sat Jan 04 2003
#BuildRequires: XFree86-devel XFree86-libs freetype2 gcc-c++ kde-settings kdelibs-devel libGLU libXft libart_lgpl-devel libarts-devel libexpat libfontconfig libjpeg-devel liblcms libmng libpng-devel libqt3-devel libstdc++-devel zlib-devel

BuildRequires: XFree86-devel XFree86-libs freetype2 gcc-c++
BuildRequires: kde-settings kdelibs-devel libGLU libXft libart_lgpl-devel
BuildRequires: libarts-devel libexpat libfontconfig libjpeg-devel liblcms
BuildRequires: libmng libpng-devel libqt3-devel libstdc++-devel zlib-devel
BuildRequires: kdelibs-gcc_compiled = %__gcc_version_base
%if %objprelink
BuildRequires: objprelink
%endif

%description
OpenOffice.org Quickstarter is a small application that runs in the KDE SystemTray.
It is used to quickly start the different OpenOffice.org modules without having to go through the K-Menu.

Authors:
--------
segfaultskde

SuSE series:

%prep
%setup -q -n %name-%version%beta
%patch0 -p1
#perl -pi -e "s|tr2i18n|i18n|" oooqs/prefdialog.cpp
install -m644 %SOURCE12 po/ru.po

%make -f Makefile.dist ||:

%build
export KDEDIR=%prefix
export QTDIR=%qtdir

%configure --prefix=%prefix \
	            --sysconfdir=%_sysconfdir \
%if %unstable
                    --enable-debug=full \
%else
    		    --disable-debug \
%endif
		    --enable-shared \
		    --disable-static \
		    --disable-qt-embedded \
		    --disable-palm-top \
		    --disable-rpath \
		    --with-gnu-ld \
		    --with-pic \
		    --with-qt-dir=%qtdir \
		    --program-transform-name="" \
		    --with-xinerama
#		    --enable-final \

%if %objprelink
%make_build CXX=g++prelink
%else
%make_build
%endif

%install
%make DESTDIR=%buildroot install

mkdir -p %buildroot/%_datadir/autostart
mkdir -p %buildroot/%_datadir/config
install -m 644 %SOURCE10 %buildroot/%_datadir/autostart
install -m 644 %SOURCE11 %buildroot/%_datadir/config

# make menu entry
mkdir -p %buildroot/%_menudir
kdedesktop2mdkmenu.pl %name Office/Accessories %buildroot/%_datadir/applnk/Office/%name.desktop %buildroot/%_menudir/%name kde

%find_lang %name

%post
%update_menus
%postun
%clean_menus

%files -f %name.lang
%doc ChangeLog README* TODO BUGS
%_datadir/doc/HTML/en/%name
%lang(de) %_datadir/doc/HTML/de/%name
#
%_bindir/%name
%_iconsdir/*/*/apps/%name.*
#%_datadir/autostart/%name.desktop
%_datadir/config/%{name}rc
%_datadir/applnk/Office/%name.desktop
%_menudir/%name

%changelog
* Mon Feb 10 2003 Sergey V Turchin <zerg@altlinux.ru> 1.0-alt3.rc3
- fix patch0
- add URL

* Wed Jan 22 2003 Sergey V Turchin <zerg@altlinux.ru> 1.0-alt2.rc3
- exclude OOo icons

* Sat Jan 04 2003 Sergey V Turchin <zerg@altlinux.ru> 1.0-alt1.rc3
- 1.0_rc3
- update Russian translation

* Thu Sep 12 2002 Sergey V Turchin <zerg@altlinux.ru> 0.9.5.1-alt4
- rebuild with gcc3.2

* Tue Jun 11 2002 Sergey V Turchin <zerg@altlinux.ru> 0.9.5.1-alt3
- fix new OO placement (/usr/lib) in default configuration

* Tue May 28 2002 Sergey V Turchin <zerg@altlinux.ru> 0.9.5.1-alt2
- removed .desktop from %_datadir/autostart

* Sat May 18 2002 ZerG <zerg@altlinux.ru> 0.9.5.1-alt1
- initial spec
